HORIZON HASKELLDocslts/ghc-9.10.x248f8f02026-10-05Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · 248f8f0 · 2026-10-05

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.PostTestHelpersTreasuryOutboundPaymentsIdFail

Contains the different functions to run the operation postTestHelpersTreasuryOutboundPaymentsIdFail

  • 2 types
  • 2 values
  • Packagestripeapi-3.0.0.0
  • Exports4
  • LanguageHaskell2010
  • LicenceMIT
  • SourcePostTestHelpersTreasuryOutboundPaymentsIdFail.hs
valuepostTestHelpersTreasuryOutboundPaymentsIdFail
  1. :: MonadHTTP m
  2. => Text

    id | Constraints: Maximum length of 5000

  3. -> Maybe PostTestHelpersTreasuryOutboundPaymentsIdFailRequestBody

    The request body to send

  4. -> ClientT m (Response PostTestHelpersTreasuryOutboundPaymentsIdFailResponse)

    Monadic computation which returns the result of the operation

#
POST /v1/test_helpers/treasury/outbound_payments/{id}/fail

<p>Transitions a test mode created OutboundPayment to the <code>failed</code> status. The OutboundPayment must already be in the <code>processing</code> state.</p>

Defines the object schema located at paths./v1/test_helpers/treasury/outbound_payments/{id}/fail.POST.requestBody.content.application/x-www-form-urlencoded.schema in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Represents a response of the operation postTestHelpersTreasuryOutboundPaymentsIdFail.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), PostTestHelpersTreasuryOutboundPaymentsIdFailResponseError is used.

Instances2Eq, Show